Update workspace Pipedream
curl --request POST \
--url https://conduit.example.com/conduit.v1.ConduitService/UpdateWorkspacePipedream \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"clientId": "<string>",
"clientSecret": "<string>",
"projectId": "<string>",
"environment": "<string>",
"organizationId": "<string>"
}
'const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
enabled: true,
clientId: '<string>',
clientSecret: '<string>',
projectId: '<string>',
environment: '<string>',
organizationId: '<string>'
})
};
fetch('https://conduit.example.com/conduit.v1.ConduitService/UpdateWorkspacePipedream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://conduit.example.com/conduit.v1.ConduitService/UpdateWorkspacePipedream"
payload = {
"enabled": True,
"clientId": "<string>",
"clientSecret": "<string>",
"projectId": "<string>",
"environment": "<string>",
"organizationId": "<string>"
}
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://conduit.example.com/conduit.v1.ConduitService/UpdateWorkspacePipedream")
.header("Connect-Protocol-Version", "<connect-protocol-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"enabled\": true,\n \"clientId\": \"<string>\",\n \"clientSecret\": \"<string>\",\n \"projectId\": \"<string>\",\n \"environment\": \"<string>\",\n \"organizationId\": \"<string>\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://conduit.example.com/conduit.v1.ConduitService/UpdateWorkspacePipedream"
payload := strings.NewReader("{\n \"enabled\": true,\n \"clientId\": \"<string>\",\n \"clientSecret\": \"<string>\",\n \"projectId\": \"<string>\",\n \"environment\": \"<string>\",\n \"organizationId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Connect-Protocol-Version", "<connect-protocol-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"connected": true,
"connectError": "<string>"
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}Update workspace Pipedream
Update workspace Pipedream credentials; omit client_secret to keep the stored one
Requires the connectors:write scope.
POST
/
conduit.v1.ConduitService
/
UpdateWorkspacePipedream
Update workspace Pipedream
curl --request POST \
--url https://conduit.example.com/conduit.v1.ConduitService/UpdateWorkspacePipedream \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"clientId": "<string>",
"clientSecret": "<string>",
"projectId": "<string>",
"environment": "<string>",
"organizationId": "<string>"
}
'const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
enabled: true,
clientId: '<string>',
clientSecret: '<string>',
projectId: '<string>',
environment: '<string>',
organizationId: '<string>'
})
};
fetch('https://conduit.example.com/conduit.v1.ConduitService/UpdateWorkspacePipedream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://conduit.example.com/conduit.v1.ConduitService/UpdateWorkspacePipedream"
payload = {
"enabled": True,
"clientId": "<string>",
"clientSecret": "<string>",
"projectId": "<string>",
"environment": "<string>",
"organizationId": "<string>"
}
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://conduit.example.com/conduit.v1.ConduitService/UpdateWorkspacePipedream")
.header("Connect-Protocol-Version", "<connect-protocol-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"enabled\": true,\n \"clientId\": \"<string>\",\n \"clientSecret\": \"<string>\",\n \"projectId\": \"<string>\",\n \"environment\": \"<string>\",\n \"organizationId\": \"<string>\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://conduit.example.com/conduit.v1.ConduitService/UpdateWorkspacePipedream"
payload := strings.NewReader("{\n \"enabled\": true,\n \"clientId\": \"<string>\",\n \"clientSecret\": \"<string>\",\n \"projectId\": \"<string>\",\n \"environment\": \"<string>\",\n \"organizationId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Connect-Protocol-Version", "<connect-protocol-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"connected": true,
"connectError": "<string>"
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Define the version of the Connect protocol
Available options:
1 Define the timeout, in ms
Body
application/json
Was this page helpful?